import { File, StrykerOptions } from '@stryker-mutator/api/core';
import { Logger } from '@stryker-mutator/api/logging';
import { MutantResult } from '@stryker-mutator/api/report';
import { TestFramework } from '@stryker-mutator/api/test_framework';
import { Observable } from 'rxjs';
import { Disposable } from 'typed-inject';
import LoggingClientContext from './logging/LoggingClientContext';
import { InitialTestRunResult } from './process/InitialTestExecutor';
import TranspiledMutant from './TranspiledMutant';
import { TemporaryDirectory } from './utils/TemporaryDirectory';
export declare class SandboxPool implements Disposable {
    private readonly log;
    private readonly options;
    private readonly testFramework;
    private readonly initialFiles;
    private readonly loggingContext;
    private readonly tempDir;
    private readonly allSandboxes;
    private readonly overheadTimeMS;
    static inject: ["logger", "options", "testFramework", "initialRunResult", "transpiledFiles", "loggingContext", "temporaryDirectory"];
    constructor(log: Logger, options: StrykerOptions, testFramework: TestFramework | null, initialRunResult: InitialTestRunResult, initialFiles: readonly File[], loggingContext: LoggingClientContext, tempDir: TemporaryDirectory);
    runMutants(mutants: Observable<TranspiledMutant>): Observable<MutantResult>;
    private readonly runInSandbox;
    private startSandboxes;
    private determineConcurrency;
    private readonly registerSandbox;
    private isDisposed;
    dispose(): Promise<void>;
}
//# sourceMappingURL=SandboxPool.d.ts.map