"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("@stryker-mutator/util");
class ChildProcessCrashedError extends util_1.StrykerError {
    constructor(pid, message, exitCode, signal, innerError) {
        super(message, innerError);
        this.pid = pid;
        this.exitCode = exitCode;
        this.signal = signal;
        Error.captureStackTrace(this, ChildProcessCrashedError);
        // TS recommendation: https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes#extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, ChildProcessCrashedError.prototype);
    }
}
exports.default = ChildProcessCrashedError;
//# sourceMappingURL=ChildProcessCrashedError.js.map