"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ChildProcessCrashedError_1 = require("./ChildProcessCrashedError");
class OutOfMemoryError extends ChildProcessCrashedError_1.default {
    constructor(pid, exitCode) {
        super(pid, `Process ${pid} ran out of memory`, exitCode);
        this.message = 'Process ';
        Error.captureStackTrace(this, OutOfMemoryError);
        // TS recommendation: https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes#extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, OutOfMemoryError.prototype);
    }
}
exports.default = OutOfMemoryError;
//# sourceMappingURL=OutOfMemoryError.js.map