import { PluginKind, PluginResolver } from '@stryker-mutator/api/plugin';
import { StrykerOptions } from '@stryker-mutator/api/core';
import { OptionsEditor } from '@stryker-mutator/api/src/core/OptionsEditor';
import { PluginCreator } from '../di/PluginCreator';
/**
 * Class that applies all config editor plugins
 */
export declare class OptionsEditorApplier implements OptionsEditor {
    private readonly pluginResolver;
    private readonly configEditorPluginCreator;
    private readonly optionsEditorPluginCreator;
    static inject: ["pluginResolver", "pluginCreatorConfigEditor", "pluginCreatorOptionsEditor"];
    constructor(pluginResolver: PluginResolver, configEditorPluginCreator: PluginCreator<PluginKind.ConfigEditor>, optionsEditorPluginCreator: PluginCreator<PluginKind.OptionsEditor>);
    edit(options: StrykerOptions): void;
}
//# sourceMappingURL=OptionsEditorApplier.d.ts.map