"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSchemaWithPluginContributions = void 0;
const plugin_1 = require("@stryker-mutator/api/plugin");
const di_1 = require("../di");
function mergedSchema(mainSchema, additionalSchemas) {
    const schema = Object.assign(Object.assign({}, mainSchema), { properties: Object.assign({}, mainSchema.properties), definitions: Object.assign({}, mainSchema.definitions) });
    Object.assign(schema.properties, ...additionalSchemas.map((s) => s.properties));
    Object.assign(schema.definitions, ...additionalSchemas.map((s) => s.definitions));
    return schema;
}
function buildSchemaWithPluginContributions(schema, pluginResolver, logger) {
    const additionalSchemas = pluginResolver.resolveValidationSchemaContributions();
    logger.debug('Contributing %s schemas from plugins to options validation.', additionalSchemas.length);
    return mergedSchema(schema, additionalSchemas);
}
exports.buildSchemaWithPluginContributions = buildSchemaWithPluginContributions;
buildSchemaWithPluginContributions.inject = plugin_1.tokens(di_1.coreTokens.validationSchema, plugin_1.commonTokens.pluginResolver, plugin_1.commonTokens.logger);
//# sourceMappingURL=buildSchemaWithPluginContributions.js.map