"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConfig = void 0;
const deepMerge_1 = require("@stryker-mutator/util/src/deepMerge");
/**
 * Creates a `Config` object for given options.
 * `Config` is the same as `StrykerOptions`, but with a `set` function that can be used as a shorthand to
 * override options using a deep merge algorithm. This is mostly deprecated.
 * @param options The stryker options use
 * @deprecated Please use `StrykerOptions` directly instead
 */
function createConfig(options) {
    const config = options;
    options.set = (newConfig) => {
        deepMerge_1.deepMerge(options, newConfig);
    };
    return config;
}
exports.createConfig = createConfig;
//# sourceMappingURL=createConfig.js.map