import { Logger } from '@stryker-mutator/api/logging';
import { PluginResolver, Plugins } from '@stryker-mutator/api/plugin';
export declare class PluginLoader implements PluginResolver {
    private readonly log;
    private readonly pluginDescriptors;
    private readonly pluginsByKind;
    private readonly contributedValidationSchemas;
    static inject: ["logger", "pluginDescriptors"];
    constructor(log: Logger, pluginDescriptors: readonly string[]);
    load(): void;
    resolveValidationSchemaContributions(): object[];
    resolve<T extends keyof Plugins>(kind: T, name: string): Plugins[T];
    resolveAll<T extends keyof Plugins>(kind: T): Array<Plugins[T]>;
    private resolvePluginModules;
    private requirePlugin;
    private loadPlugin;
    private isPluginModule;
    private hasValidationSchemaContribution;
}
//# sourceMappingURL=PluginLoader.d.ts.map