"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildChildProcessInjector = void 0;
const plugin_1 = require("@stryker-mutator/api/plugin");
const log4js_1 = require("log4js");
const typed_inject_1 = require("typed-inject");
const factoryMethods_1 = require("./factoryMethods");
const _1 = require(".");
function buildChildProcessInjector(options) {
    return typed_inject_1.rootInjector
        .provideValue(plugin_1.commonTokens.options, options)
        .provideValue(plugin_1.commonTokens.getLogger, log4js_1.getLogger)
        .provideFactory(plugin_1.commonTokens.logger, factoryMethods_1.loggerFactory, plugin_1.Scope.Transient)
        .provideFactory(_1.coreTokens.pluginDescriptors, pluginDescriptorsFactory)
        .provideFactory(plugin_1.commonTokens.pluginResolver, factoryMethods_1.pluginResolverFactory)
        .provideFactory(plugin_1.commonTokens.mutatorDescriptor, factoryMethods_1.mutatorDescriptorFactory);
}
exports.buildChildProcessInjector = buildChildProcessInjector;
function pluginDescriptorsFactory(options) {
    return options.plugins;
}
pluginDescriptorsFactory.inject = plugin_1.tokens(plugin_1.commonTokens.options);
//# sourceMappingURL=buildChildProcessInjector.js.map