import { PartialStrykerOptions } from '@stryker-mutator/api/core';
import { Injector, OptionsContext, PluginKind } from '@stryker-mutator/api/plugin';
import { Reporter } from '@stryker-mutator/api/report';
import { TestFramework } from '@stryker-mutator/api/test_framework';
import { TemporaryDirectory } from '../utils/TemporaryDirectory';
import Timer from '../utils/Timer';
import { coreTokens, PluginCreator } from '.';
export interface MainContext extends OptionsContext {
    [coreTokens.reporter]: Required<Reporter>;
    [coreTokens.testFramework]: TestFramework | null;
    [coreTokens.pluginCreatorReporter]: PluginCreator<PluginKind.Reporter>;
    [coreTokens.pluginCreatorConfigEditor]: PluginCreator<PluginKind.ConfigEditor>;
    [coreTokens.pluginCreatorMutator]: PluginCreator<PluginKind.Mutator>;
    [coreTokens.pluginCreatorTestFramework]: PluginCreator<PluginKind.TestFramework>;
    [coreTokens.timer]: Timer;
    [coreTokens.temporaryDirectory]: TemporaryDirectory;
}
declare type BasicInjector = Injector<Pick<MainContext, 'logger' | 'getLogger'>>;
declare type PluginResolverInjector = Injector<Pick<MainContext, 'logger' | 'getLogger' | 'options' | 'pluginResolver'>>;
export declare function buildMainInjector(cliOptions: PartialStrykerOptions): Injector<MainContext>;
export declare function createPluginResolverInjector(cliOptions: PartialStrykerOptions, parent: BasicInjector): PluginResolverInjector;
export {};
//# sourceMappingURL=buildMainInjector.d.ts.map