import { MutatorDescriptor, StrykerOptions } from '@stryker-mutator/api/core';
import { Logger, LoggerFactoryMethod } from '@stryker-mutator/api/logging';
import { commonTokens, Injector, OptionsContext, PluginKind, PluginResolver } from '@stryker-mutator/api/plugin';
import { OptionsEditorApplier } from '../config';
import { coreTokens, PluginCreator } from '.';
export declare function pluginResolverFactory(injector: Injector<{
    [commonTokens.logger]: Logger;
    [coreTokens.pluginDescriptors]: readonly string[];
}>): PluginResolver;
export declare namespace pluginResolverFactory {
    var inject: ["$injector"];
}
export declare function testFrameworkFactory(injector: Injector<OptionsContext & {
    [coreTokens.pluginCreatorTestFramework]: PluginCreator<PluginKind.TestFramework>;
}>): import("@stryker-mutator/api/src/test_framework/TestFramework").default | null;
export declare namespace testFrameworkFactory {
    var inject: ["$injector"];
}
export declare function loggerFactory(getLogger: LoggerFactoryMethod, target: Function | undefined): Logger;
export declare namespace loggerFactory {
    var inject: ["getLogger", "$target"];
}
export declare function applyOptionsEditors(options: StrykerOptions, optionsEditorApplier: OptionsEditorApplier): StrykerOptions;
export declare namespace applyOptionsEditors {
    var inject: ["options", "configOptionsApplier"];
}
export declare function mutatorDescriptorFactory(options: StrykerOptions): MutatorDescriptor;
export declare namespace mutatorDescriptorFactory {
    var inject: ["options"];
}
//# sourceMappingURL=factoryMethods.d.ts.map