import { Logger } from '@stryker-mutator/api/logging';
import { RestClient } from 'typed-rest-client/RestClient';
import { PackageInfo } from './PackageInfo';
import PromptOption from './PromptOption';
export default class NpmClient {
    private readonly log;
    private readonly searchClient;
    private readonly packageClient;
    static inject: ["logger", "restClientNpmSearch", "restClientNpm"];
    constructor(log: Logger, searchClient: RestClient, packageClient: RestClient);
    getTestRunnerOptions(): Promise<PromptOption[]>;
    getTestFrameworkOptions(testRunnerFilter: string | null): Promise<PromptOption[]>;
    getMutatorOptions(): Promise<PromptOption[]>;
    getTranspilerOptions(): Promise<PromptOption[]>;
    getTestReporterOptions(): Promise<PromptOption[]>;
    getAdditionalConfig(pkg: PackageInfo): Promise<object>;
    private search;
}
//# sourceMappingURL=NpmClient.d.ts.map