import { StrykerOptions } from '@stryker-mutator/api/core';
import { Logger } from '@stryker-mutator/api/logging';
import StrictReporter from '../reporters/StrictReporter';
import InputFileCollection from './InputFileCollection';
export default class InputFileResolver {
    private readonly log;
    private readonly reporter;
    private readonly mutatePatterns;
    private readonly filePatterns;
    private readonly tempDirName;
    static inject: ["logger", "options", "reporter"];
    constructor(log: Logger, { mutate, files, tempDirName }: StrykerOptions, reporter: StrictReporter);
    resolve(): Promise<InputFileCollection>;
    private resolveInputFiles;
    private resolveMutateFiles;
    /**
     * Takes a list of globbing patterns and expands them into files.
     * If a patterns starts with a `!`, it negates the pattern.
     * @param patterns The patterns to expand into files
     */
    private expand;
    private expandPattern;
    private resolveFilesUsingGit;
    private reportAllSourceFilesRead;
    private reportSourceFilesRead;
    private readFiles;
    private readFile;
}
//# sourceMappingURL=InputFileResolver.d.ts.map