import { LoggingEvent } from 'log4js';
export declare type RuntimeAppender = (loggingEvent: LoggingEvent) => void;
export declare class MultiAppender {
    private readonly appenders;
    constructor(appenders: RuntimeAppender[]);
    append(loggingEvent: LoggingEvent): void;
}
/**
 * This method is expected by log4js to have this _exact_ name
 * and signature.
 * @see https://log4js-node.github.io/log4js-node/writing-appenders.html
 * @param config The appender configuration delivered by log4js
 * @param _ The layouts provided by log4js
 * @param findAppender A method to locate other appenders
 */
export declare function configure(config: {
    appenders: string[];
}, _: any, findAppender: (name: string) => RuntimeAppender): RuntimeAppender;
//# sourceMappingURL=MultiAppender.d.ts.map