import { File, MutatorDescriptor } from '@stryker-mutator/api/core';
import { Logger } from '@stryker-mutator/api/logging';
import { Mutant, Mutator } from '@stryker-mutator/api/mutant';
import { PluginKind } from '@stryker-mutator/api/plugin';
import { PluginCreator } from '../di';
export declare class MutatorFacade implements Mutator {
    private readonly mutatorDescriptor;
    private readonly pluginCreator;
    private readonly log;
    static inject: ["mutatorDescriptor", "pluginCreatorMutator", "logger"];
    constructor(mutatorDescriptor: MutatorDescriptor, pluginCreator: PluginCreator<PluginKind.Mutator>, log: Logger);
    mutate(inputFiles: readonly File[]): readonly Mutant[];
    private removeExcludedMutants;
    private getMutatorName;
    private logMutantCount;
}
//# sourceMappingURL=MutatorFacade.d.ts.map