"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
const report_1 = require("@stryker-mutator/api/report");
const chalk = require("chalk");
class DotsReporter {
    onMutantTested(result) {
        let toLog;
        switch (result.status) {
            case report_1.MutantStatus.Killed:
                toLog = '.';
                break;
            case report_1.MutantStatus.TimedOut:
                toLog = chalk.yellow('T');
                break;
            case report_1.MutantStatus.Survived:
                toLog = chalk.bold.red('S');
                break;
            case report_1.MutantStatus.RuntimeError:
                toLog = chalk.yellow('E');
                break;
            default:
                toLog = '';
                break;
        }
        process.stdout.write(toLog);
    }
    onAllMutantsTested() {
        process.stdout.write(os.EOL);
    }
}
exports.default = DotsReporter;
//# sourceMappingURL=DotsReporter.js.map