"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const objectUtils_1 = require("../../utils/objectUtils");
/**
 * https://help.github.com/en/actions/automating-your-workflow-with-github-actions/using-environment-variables#default-environment-variables
 */
class GithubActionsCIProvider {
    determineProject() {
        return `github.com/${objectUtils_1.getEnvironmentVariableOrThrow('GITHUB_REPOSITORY')}`;
    }
    determineVersion() {
        const rawRef = objectUtils_1.getEnvironmentVariableOrThrow('GITHUB_REF');
        // rawRef will be in the form "refs/pull/:prNumber/merge" or "refs/heads/feat/branch-1"
        const [, type, ...name] = rawRef.split('/');
        if (type === 'pull') {
            return `PR-${name[0]}`;
        }
        else {
            return name.join('/');
        }
    }
}
exports.default = GithubActionsCIProvider;
//# sourceMappingURL=GithubActionsProvider.js.map