"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const objectUtils_1 = require("../../utils/objectUtils");
/**
 * See https://docs.travis-ci.com/user/environment-variables/#default-environment-variables
 */
class TravisProvider {
    determineProject() {
        const slug = objectUtils_1.getEnvironmentVariable('TRAVIS_REPO_SLUG');
        if (slug) {
            return `github.com/${slug}`;
        }
        else {
            return undefined;
        }
    }
    determineVersion() {
        return objectUtils_1.getEnvironmentVariable('TRAVIS_PULL_REQUEST_BRANCH') || objectUtils_1.getEnvironmentVariable('TRAVIS_BRANCH');
    }
}
exports.default = TravisProvider;
//# sourceMappingURL=TravisProvider.js.map