"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dashboardReporterFactory = void 0;
const plugin_1 = require("@stryker-mutator/api/plugin");
const HttpClient_1 = require("typed-rest-client/HttpClient");
const Provider_1 = require("../ci/Provider");
const DashboardReporter_1 = require("./DashboardReporter");
const DashboardReporterClient_1 = require("./DashboardReporterClient");
const tokens_1 = require("./tokens");
function dashboardReporterFactory(injector) {
    return injector
        .provideValue(tokens_1.dashboardReporterTokens.httpClient, new HttpClient_1.HttpClient('stryker-dashboard-reporter'))
        .provideClass(tokens_1.dashboardReporterTokens.dashboardReporterClient, DashboardReporterClient_1.default)
        .provideFactory(tokens_1.dashboardReporterTokens.ciProvider, Provider_1.determineCIProvider)
        .injectClass(DashboardReporter_1.default);
}
exports.dashboardReporterFactory = dashboardReporterFactory;
dashboardReporterFactory.inject = plugin_1.tokens(plugin_1.commonTokens.injector);
//# sourceMappingURL=index.js.map