"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeFile = exports.mkdir = exports.deleteDir = exports.copyFile = void 0;
const path = require("path");
const util_1 = require("util");
const fs_1 = require("fs");
const mkdirp = require("mkdirp");
const rimraf = require("rimraf");
function copyFile(fromFilename, toFilename) {
    return new Promise((resolve, reject) => {
        const readStream = fs_1.createReadStream(fromFilename);
        const writeStream = fs_1.createWriteStream(toFilename);
        readStream.on('error', reject);
        writeStream.on('error', reject);
        readStream.pipe(writeStream);
        readStream.on('end', resolve);
    });
}
exports.copyFile = copyFile;
exports.deleteDir = util_1.promisify(rimraf);
exports.mkdir = mkdirp;
async function writeFile(fileName, content) {
    await mkdirp(path.dirname(fileName));
    await fs_1.promises.writeFile(fileName, content, 'utf8');
}
exports.writeFile = writeFile;
//# sourceMappingURL=HtmlReporterUtil.js.map