"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.strykerPlugins = void 0;
const plugin_1 = require("@stryker-mutator/api/plugin");
const ClearTextReporter_1 = require("./ClearTextReporter");
const dashboard_reporter_1 = require("./dashboard-reporter");
const DotsReporter_1 = require("./DotsReporter");
const EventRecorderReporter_1 = require("./EventRecorderReporter");
const ProgressAppendOnlyReporter_1 = require("./ProgressAppendOnlyReporter");
const ProgressReporter_1 = require("./ProgressReporter");
const HtmlReporter_1 = require("./html/HtmlReporter");
exports.strykerPlugins = [
    plugin_1.declareClassPlugin(plugin_1.PluginKind.Reporter, 'clear-text', ClearTextReporter_1.default),
    plugin_1.declareClassPlugin(plugin_1.PluginKind.Reporter, 'progress', ProgressReporter_1.default),
    plugin_1.declareClassPlugin(plugin_1.PluginKind.Reporter, 'progress-append-only', ProgressAppendOnlyReporter_1.default),
    plugin_1.declareClassPlugin(plugin_1.PluginKind.Reporter, 'dots', DotsReporter_1.default),
    plugin_1.declareClassPlugin(plugin_1.PluginKind.Reporter, 'event-recorder', EventRecorderReporter_1.default),
    plugin_1.declareClassPlugin(plugin_1.PluginKind.Reporter, 'html', HtmlReporter_1.default),
    plugin_1.declareFactoryPlugin(plugin_1.PluginKind.Reporter, 'dashboard', dashboard_reporter_1.dashboardReporterFactory),
];
//# sourceMappingURL=index.js.map