import { StrykerOptions } from '@stryker-mutator/api/core';
import { RunOptions, RunResult, TestRunner } from '@stryker-mutator/api/test_runner';
import LoggingClientContext from '../logging/LoggingClientContext';
/**
 * Runs the given test runner in a child process and forwards reports about test results
 */
export default class ChildProcessTestRunnerDecorator implements TestRunner {
    private readonly worker;
    constructor(options: StrykerOptions, sandboxFileNames: readonly string[], sandboxWorkingDirectory: string, loggingContext: LoggingClientContext);
    init(): Promise<void>;
    run(options: RunOptions): Promise<RunResult>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=ChildProcessTestRunnerDecorator.d.ts.map