import { StrykerOptions } from '@stryker-mutator/api/core';
import { RunResult, TestRunner } from '@stryker-mutator/api/test_runner';
/**
 * A test runner that uses a (bash or cmd) command to execute the tests.
 * Does not know hom many tests are executed or any code coverage results,
 * instead, it mimics a simple test result based on the exit code.
 * The command can be configured, but defaults to `npm test`.
 */
export default class CommandTestRunner implements TestRunner {
    private readonly workingDir;
    /**
     * "command"
     */
    static readonly runnerName: string;
    /**
     * Determines whether a given name is "command" (ignore case)
     * @param name Maybe "command", maybe not
     */
    static is(name: string): boolean;
    private readonly settings;
    private timeoutHandler;
    constructor(workingDir: string, options: StrykerOptions);
    run(): Promise<RunResult>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=CommandTestRunner.d.ts.map