"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CommandTestRunner_1 = require("../test-runner/CommandTestRunner");
const ChildProcessTestRunnerDecorator_1 = require("./ChildProcessTestRunnerDecorator");
const RetryDecorator_1 = require("./RetryDecorator");
const TimeoutDecorator_1 = require("./TimeoutDecorator");
exports.default = {
    create(options, sandboxFileNames, sandboxWorkingDirectory, loggingContext) {
        if (CommandTestRunner_1.default.is(options.testRunner)) {
            return new RetryDecorator_1.default(() => new TimeoutDecorator_1.default(() => new CommandTestRunner_1.default(sandboxWorkingDirectory, options)));
        }
        else {
            return new RetryDecorator_1.default(() => new TimeoutDecorator_1.default(() => new ChildProcessTestRunnerDecorator_1.default(options, sandboxFileNames, sandboxWorkingDirectory, loggingContext)));
        }
    },
};
//# sourceMappingURL=ResilientTestRunnerFactory.js.map