"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class TestRunnerDecorator {
    constructor(testRunnerProducer) {
        this.testRunnerProducer = testRunnerProducer;
        this.createInnerRunner();
    }
    init() {
        if (this.innerRunner.init) {
            return this.innerRunner.init() || Promise.resolve();
        }
        else {
            return Promise.resolve();
        }
    }
    createInnerRunner() {
        this.innerRunner = this.testRunnerProducer();
    }
    run(options) {
        return this.innerRunner.run(options);
    }
    dispose() {
        if (this.innerRunner.dispose) {
            return this.innerRunner.dispose() || Promise.resolve();
        }
        else {
            return Promise.resolve();
        }
    }
}
exports.default = TestRunnerDecorator;
//# sourceMappingURL=TestRunnerDecorator.js.map