"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChildProcessTranspiler = void 0;
const plugin_1 = require("@stryker-mutator/api/plugin");
const ChildProcessProxy_1 = require("../child-proxy/ChildProcessProxy");
const di_1 = require("../di");
const ChildProcessTranspilerWorker_1 = require("./ChildProcessTranspilerWorker");
class ChildProcessTranspiler {
    constructor(options, loggingContext, produceSourceMaps) {
        this.childProcess = ChildProcessProxy_1.default.create(require.resolve(`./${ChildProcessTranspilerWorker_1.ChildProcessTranspilerWorker.name}`), loggingContext, options, { [plugin_1.commonTokens.produceSourceMaps]: produceSourceMaps }, process.cwd(), ChildProcessTranspilerWorker_1.ChildProcessTranspilerWorker);
    }
    transpile(files) {
        return this.childProcess.proxy.transpile(files);
    }
    dispose() {
        this.childProcess.dispose();
    }
}
exports.ChildProcessTranspiler = ChildProcessTranspiler;
ChildProcessTranspiler.inject = plugin_1.tokens(plugin_1.commonTokens.options, di_1.coreTokens.loggingContext, plugin_1.commonTokens.produceSourceMaps);
//# sourceMappingURL=ChildProcessTranspiler.js.map