"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChildProcessTranspilerWorker = void 0;
const plugin_1 = require("@stryker-mutator/api/plugin");
const di_1 = require("../di");
const PluginCreator_1 = require("../di/PluginCreator");
const TranspilerFacade_1 = require("./TranspilerFacade");
class ChildProcessTranspilerWorker {
    constructor(injector) {
        this.innerTranspiler = injector
            .provideFactory(di_1.coreTokens.pluginCreatorTranspiler, PluginCreator_1.PluginCreator.createFactory(plugin_1.PluginKind.Transpiler))
            .injectClass(TranspilerFacade_1.TranspilerFacade);
    }
    transpile(files) {
        return this.innerTranspiler.transpile(files);
    }
}
exports.ChildProcessTranspilerWorker = ChildProcessTranspilerWorker;
ChildProcessTranspilerWorker.inject = [plugin_1.commonTokens.injector];
//# sourceMappingURL=ChildProcessTranspilerWorker.js.map