"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transpilerFactory = void 0;
const plugin_1 = require("@stryker-mutator/api/plugin");
const di_1 = require("../di");
const ChildProcessTranspiler_1 = require("./ChildProcessTranspiler");
/**
 * Creates a transpiler. If one is configured, spawns that in a child process
 */
function transpilerFactory(options, injector) {
    if (options.transpilers.length) {
        return injector.injectClass(ChildProcessTranspiler_1.ChildProcessTranspiler);
    }
    else {
        return {
            transpile(files) {
                return Promise.resolve(files);
            },
            dispose() {
                // noop
            },
        };
    }
}
exports.transpilerFactory = transpilerFactory;
transpilerFactory.inject = plugin_1.tokens(plugin_1.commonTokens.options, plugin_1.commonTokens.injector);
//# sourceMappingURL=index.js.map