import { Location } from '@stryker-mutator/api/core';
export default class LocationHelper {
    private readonly loc;
    static MAX_VALUE: LocationHelper;
    constructor(loc: Location);
    /**
     * Indicates whether the current location is covered by an other location.
     * @param maybeWrapper The location that is questioned to be wrapping this location.
     * @returns true if this location is covered by given location, otherwise false
     */
    isCoveredBy(maybeWrapper: Location): boolean;
    /**
     * Indicates whether the given location is smaller than this location.
     * @param maybeSmaller The area which is questioned to cover a smaller area than this location.
     * @returns true if the given location covers a smaller area than this one.
     */
    isSmallerArea(maybeSmaller: Location): boolean;
}
//# sourceMappingURL=LocationHelper.d.ts.map