"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const DEFAULT_MAX_SIZE = 2048;
class StringBuilder {
    constructor() {
        this.currentLength = 0;
        this.strings = [];
        this.maxSize = DEFAULT_MAX_SIZE;
    }
    append(str) {
        this.strings.push(str);
        this.currentLength += str.length;
        while (this.currentLength > this.maxSize && this.strings.length > 1) {
            const popped = this.strings.shift();
            this.currentLength -= popped.length;
        }
    }
    toString() {
        return this.strings.join('');
    }
    static concat(...builders) {
        return builders
            .map((b) => b.toString())
            .filter(Boolean)
            .join(os_1.EOL);
    }
}
exports.default = StringBuilder;
//# sourceMappingURL=StringBuilder.js.map